-- logged_atに時刻を入れる
function add_logged_at(tag, timestamp, record)
   -- YYYY-mm-ddTHH:MM:SSSZ形式
   -- luaのos.date関数は秒単位しか扱えないため、残りの部分はmodfで整形する。
   -- またluaのos.dateは ! を付けるとUTCで整形できる。
   a, b = math.modf(timestamp)
   record["inserted_at"] = string.format(
      "%s.%06dZ",
      os.date("!%FT%T", a),
      math.floor(b * 1000 * 1000)
    )
   return 1, timestamp, record
end